Bug 1920524 - Topology graph crashes adding Open Data Hub operator
Summary: Topology graph crashes adding Open Data Hub operator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Jeff Phillips
QA Contact: Jaivardhan Kumar
URL:
Whiteboard:
Depends On:
Blocks: 1961936
TreeView+ depends on / blocked
 
Reported: 2021-01-26 13:39 UTC by Jeff Phillips
Modified: 2021-06-18 06:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:56:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7930 0 None closed Bug 1920524: Fix topology crash on install of ODH operator to project 2021-02-01 15:37:12 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:56:51 UTC

Description Jeff Phillips 2021-01-26 13:39:07 UTC
Description of problem:

The topology graph crashes (white screen) after adding the Open Data Hub operator to the project.

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:

1. Install the Open Data Hub operator
2. Navigate to your project
3. Add to Project - Open Data Hub operator
4. Navigate to the topology graph page

Actual results:

After a few minutes the UI crashes (white screen)

Expected results:

The graph shows all the components installed by the ODH operator

Additional info:

Comment 2 Jaivardhan Kumar 2021-01-29 07:53:17 UTC
Verified on 
openshift-install: 4.7.0-0.nightly-2021-01-28-203708

Kubernetes versionv1.20.0+4b40bb4API
server https://api.dev-svc-4.7-012901.devcluster.openshift.com:6443
MacOSX , Chrome Version 88.0.4324.96 (Official Build) (x86_64)

Comment 5 errata-xmlrpc 2021-02-24 15:56:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.